<!DOCTYPE html>
<html>
    <head>
        <title>Exemple</title>
    </head>
    <style>
        h1{
          color: red;
          font-size: 2.5em;
        }
        p{
            color: salmon;
        }
        li{
            color: white
        }
        div{
            background-color: #51565c;
            border: 1px solid black;
        }
        .element{
            font-weight: bold;
        }
        #img{
            background-color: darkred;
        }
    </style>
    <body>
        <header>
            <a href="#tables">Les tableaux</a>
            <a href="#fouter">Footer Header</a>
            <a href="#img">IMGS</a>
            <a href="https://www.google.fr/">google</a>
            <a href="./page2.html">page2</a>
        </header>
        <div>
            <h1>Les titres</h1>
            <p>Les balises h1 à h6 permettes de faires des titres</p>
            <ul>
                <li class="element">h1</li>
                <li>h2</li>
                <li>h3</li>
                <li>h4</li>
                <li>h5</li>
                <li>h6</li>
            </ul>
        </div>
        <div>
            <h1>Le paragraphe</h1>
            <p>La balise p sert pour les paragraphes</p>
            <ul>
                <li  class="element">p</li>
                <li>span</li>
            </ul>
        </div>
        <div>
            <h1>Les listes</h1>
            <p>Les balises suivantes servent pour faire des listes</p>
            <ul>
                <li  class="element">ul => Liste non ordonnée</li>
                <li>ol => Liste ordonnée</li>
                <li>li => élément de la liste</li>
            </ul>
        </div>
        <div>
            <h1>div</h1>
            <p>Les balises div servent à découper le code</p>
            <ul>
                <li  class="element">div</li>
            </ul>
        </div>
        <div id="fouter">
            <h1>footer / header</h1>
            <p>Ces balises sont en soit des div mais servent au référencement !</p>
            <ul>
                <li  class="element">footer</li>
                <li>header</li>
            </ul>
        </div>
        <div id="tables">
            <h1>table</h1>
            <p>Les balises suivantes servent à la création d'un tableau</p>
            <ul>
                <li  class="element">table => permet de gerer le tableau</li>
                <li>thead => permet de gerer les titres du tableau</li>
                <li>tbody => permet de gerer le contenue du tableau</li>
                <li>tr => permet de gerer les lignes du tableau</li>
                <li>th => permet de gerer les cases qui contiennent les titres du tableau</li>
                <li>td => permet de gerer les cases du tableau</li>
            </ul>
            <p>Exemple</p>
            <table>
                <thead>
                    <tr>
                        <th>
                            nom
                        </th>
                        <th>
                            type
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            Pickachu
                        </td>
                        <td>
                            Electric
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Dracofeu
                        </td>
                        <td>
                            Feu
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div id="img">
            <h1> Les images </h1>
            <ul>
                <li>img => attribut src est obligatoire avec le lien de l'image</li>
                <li>attriut height => gere la hauteur de l'image en pixel !</li>
                <li>attriut width => gere la largeur de l'image en pixel !</li>
            </ul>
            <p>Exemple</p>
            <img src="https://assets.pokemon.com/assets/cms2/img/pokedex/full/025.png" width="150" height="150"> 
        </div>
        <div id="a">
            <h1>Les a</h1>
            <p> Les balises a permettent la navigation entre des pages HTML mais aussi à l'interieur d'une même page</p>
            <ul>
                <li>a</li>
                <li>attriut href => permet de donner un lien</li>
            </ul>
            <p>Exemple</p>
        </div>
        <div>
            <h1>Les boutons</h1>
            <p> Exemple </p>
            <button>Je suis un bouton</button>
        </div>
        <footer>
            <h1>Ceci est un footer</h1>
        </footer>
    </body>
</html>